# The Sine function

In mathematics, the sine is a trigonometric function of an angle. 
The sine of an acute angle is defined in the context of a right triangle: for the specified angle, it is the ratio of the length of the side that is opposite that angle to the length of the longest side of the triangle (the hypotenuse).

More generally, the definition of sine (and other trigonometric functions) can be extended to any real value in terms of the length of a certain line segment in a unit circle. 
More modern definitions express the sine as an infinite series or as the solution of certain differential equations, allowing their extension to arbitrary positive and negative values and even to complex numbers.

The sine function is commonly used to model periodic phenomena such as sound and light waves, the position and velocity of harmonic oscillators, sunlight intensity and day length, and average temperature variations throughout the year.

__NOTE:__ this text comes directly from Wikipedia. It is not owned by SedEdu or its authors. 

## Mathematical description

   _y_ = _A_ sin( (2&pi / &omega) _t_)